"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_container_1 = require("@arkecosystem/core-container");
const command_1 = require("@oclif/command");
const utils_1 = require("../utils");
const command_2 = require("./command");
class DumpCommand extends command_2.BaseCommand {
    async run() {
        // tslint:disable-next-line:no-shadowed-variable
        const { flags } = this.parse(DumpCommand);
        await utils_1.setUpLite(flags);
        await core_container_1.app.resolvePlugin("snapshots").exportData(flags);
    }
}
DumpCommand.description = "create a full snapshot of the database";
DumpCommand.flags = Object.assign({}, command_2.BaseCommand.flags, { blocks: command_1.flags.string({
        description: "blocks to append to, correlates to folder name",
    }), start: command_1.flags.integer({
        description: "start network height to export",
        default: -1,
    }), end: command_1.flags.integer({
        description: "end network height to export",
        default: -1,
    }), codec: command_1.flags.string({
        description: "codec name, default is msg-lite binary",
    }) });
exports.DumpCommand = DumpCommand;
//# sourceMappingURL=dump.js.map