"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_container_1 = require("@arkecosystem/core-container");
const command_1 = require("@oclif/command");
const utils_1 = require("../utils");
const command_2 = require("./command");
class RollbackCommand extends command_2.BaseCommand {
    async run() {
        // tslint:disable-next-line:no-shadowed-variable
        const { flags } = this.parse(RollbackCommand);
        await utils_1.setUpLite(flags);
        const logger = core_container_1.app.resolvePlugin("logger");
        if (flags.height === -1) {
            logger.warn("Rollback height is not specified. Rolling back to last completed round.");
        }
        logger.info(`Starting the process of blockchain rollback to block height of ${flags.height.toLocaleString()}`);
        await core_container_1.app.resolvePlugin("snapshots").rollbackChain(flags.height);
    }
}
RollbackCommand.description = "rollback chain to specified height";
RollbackCommand.flags = Object.assign({}, command_2.BaseCommand.flags, { height: command_1.flags.integer({
        description: "block network height number to rollback",
        default: -1,
    }) });
exports.RollbackCommand = RollbackCommand;
//# sourceMappingURL=rollback.js.map