"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_container_1 = require("@arkecosystem/core-container");
const command_1 = require("@oclif/command");
const utils_1 = require("../utils");
const command_2 = require("./command");
class VerifyCommand extends command_2.BaseCommand {
    async run() {
        // tslint:disable-next-line:no-shadowed-variable
        const { flags } = this.parse(VerifyCommand);
        await utils_1.setUpLite(flags);
        await core_container_1.app.resolvePlugin("snapshots").verifyData(flags);
    }
}
VerifyCommand.description = "check validity of specified snapshot";
VerifyCommand.flags = Object.assign({}, command_2.BaseCommand.flags, { blocks: command_1.flags.string({
        description: "blocks to verify, corelates to folder name",
    }), codec: command_1.flags.string({
        description: "codec name, default is msg-lite binary",
    }), signatureVerify: command_1.flags.boolean({
        description: "signature verification",
    }) });
exports.VerifyCommand = VerifyCommand;
//# sourceMappingURL=verify.js.map